package cadprod;

import java.util.Scanner;

/**
 * Classe do programa de Cadastro de Produtos
 * @author prof@caetano.eng.br
 */
public class CadProd {

    /**
     * Rotina principal do Cadastro de Produtos
     * @param args parâmetros da linha de comandos
     */
    public static void main(String[] args) {
        
        // Vamos criar alguns produtos "na raça"
        Produto p1, p2, p3, p4, p5;
        
        p1 = new Produto(1, 0, "Senhor dos Anéis", 129.99, 
                "Três livros em um único volume.");
        //System.out.println(Produto.getContador());
        p2 = new Produto(2, 1, "Pink Floyd: The Wall", 30.00, 
                "Clássico do rock progressivo, em 2 CDs.");
        p3 = new Produto(3, 2, "O Cavaleiro das Trevas", 19.99, 
                "O primeiro filme da trilogia.");
        //System.out.println(Produto.getContador());
        p4 = new Produto(4, 3, "Coleção LOST", 180.50, 
                "Todas as temporadas da famosa série de J.J. Abrams.");
        //System.out.println(Produto.getContador());

        // Imprimir os produtos
        System.out.println(p1);
        System.out.println(p2);
        System.out.println(p3);
        System.out.println(p4);

        
        // **********************
        // Cadastrando um produto
        // **********************
        System.out.println();
        System.out.println("Vamos cadastrar um produto!");
        System.out.println("***************************");
        
        // Cria produto "vazio"
        p5 = new Produto();
        
        // Permite que usuário preencha dados do produto
        Scanner teclado = new Scanner(System.in);
        String tmp;
        
        // Preenchimento do ID
        //do {
        //    System.out.println("* Digite o número identificador do produto: ");
        //    tmp = teclado.nextLine();
        //} while (p5.setId(Integer.parseInt(tmp))== false);
        // Preenchimento do Tipo do Produto
        do {
            System.out.println("* Digite o tipo (0-Livro; 1-CD; 2-DVD; 3-BD): ");
            tmp = teclado.nextLine();
        } while (p5.setTipo(Integer.parseInt(tmp)) == false);
        // Preenchimento do Nome do Produto
        do {
            System.out.println("* Digite o nome do produto: ");
            tmp = teclado.nextLine();
        } while (p5.setNome(tmp) == false);
        // Preenchimento do Preço do Produto
        do {
            System.out.println("* Digite o preço do produto (só número): ");
            tmp = teclado.nextLine();
        } while (p5.setPreco(Double.parseDouble(tmp)) == false);
        // Preenchimento da Descrição Longa
        do {
            System.out.println("* Digite a descrição longa: ");
            tmp = teclado.nextLine();
        } while (p5.setDescricaoLonga(tmp) == false);

        // Preenchimento do Estoque
        do {
            System.out.println("* Digite a quantidade em estoque: ");
            tmp = teclado.nextLine();
        } while (p5.setEstoque(Integer.parseInt(tmp)) == false);
        
        // Preenchimento do Desconto
        do {
            System.out.println("* Digite o desconto (só o número da %): ");
            tmp = teclado.nextLine();
        } while ( p5.setDesconto(Double.parseDouble(tmp)) == false);
        
        // Imprime produto cadastrado
        System.out.println(p5);
        
    }
    
}
